summaryrefslogtreecommitdiff
path: root/dev-python/flake8
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/flake8
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/flake8')
-rw-r--r--dev-python/flake8/Manifest2
-rw-r--r--dev-python/flake8/flake8-3.7.9.ebuild54
-rw-r--r--dev-python/flake8/flake8-3.8.1.ebuild47
-rw-r--r--dev-python/flake8/metadata.xml13
4 files changed, 116 insertions, 0 deletions
diff --git a/dev-python/flake8/Manifest b/dev-python/flake8/Manifest
new file mode 100644
index 000000000000..89eb07174c25
--- /dev/null
+++ b/dev-python/flake8/Manifest
@@ -0,0 +1,2 @@
+DIST flake8-3.7.9.tar.gz 150123 BLAKE2B fd46710c0dcce7d3dcb3d5fc8ff7a83a35315679fa838e68abafd5bdc342c13218706fec0dac3fc9a6d919971f1f846c855f00cbd60c925e979378e431dace0b SHA512 c3c753ad050d8a8f87f7c28c8a1c953ed9bd04f08b09512d9323152b4eebb57d67fbfb0f5317d629174fa12fa234e1a86d6a633dd951fff6a45330b1c4f62850
+DIST flake8-3.8.1.tar.gz 157166 BLAKE2B cc8b2dc11f78a6b9c62662086cc190a29a0a4e5a228d4823de8e2f3f327cea3e5df4db220faf9cc14fa34e3825b7d1e4fc4ccf9d1205b437903f327f3ebfa7bb SHA512 f73a306be7d8e5bc48dd9d6d8f8cdee07a90c6c38ee7bd37a21f4be23f1812e4a1e214cc75ca1a324f40e750312b5d7ed573ff49d673f9a1f33aad188b108add
diff --git a/dev-python/flake8/flake8-3.7.9.ebuild b/dev-python/flake8/flake8-3.7.9.ebuild
new file mode 100644
index 000000000000..15409f7d8420
--- /dev/null
+++ b/dev-python/flake8/flake8-3.7.9.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="A wrapper around PyFlakes, pep8 & mccabe"
+HOMEPAGE="https://gitlab.com/pycqa/flake8 https://pypi.org/project/flake8/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 sparc x86"
+IUSE="test"
+
+# requires.txt inc. mccabe however that creates a circular dep
+RDEPEND="
+ >=dev-python/entrypoints-0.3[${PYTHON_USEDEP}]
+ <dev-python/entrypoints-0.4[${PYTHON_USEDEP}]
+ >=dev-python/pyflakes-2.1.0[${PYTHON_USEDEP}]
+ <dev-python/pyflakes-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pycodestyle-2.5.0[${PYTHON_USEDEP}]
+ <dev-python/pycodestyle-2.6.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/configparser[${PYTHON_USEDEP}]
+ dev-python/enum34[${PYTHON_USEDEP}]
+ dev-python/functools32[${PYTHON_USEDEP}]
+ dev-python/typing[${PYTHON_USEDEP}]
+ ' -2)
+"
+PDEPEND="
+ >=dev-python/mccabe-0.6.0[${PYTHON_USEDEP}]
+ <dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${PDEPEND}
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't treat warnings as errors when running tests
+ sed -r -i '/^[[:space:]]*error[[:space:]]*$/ d' pytest.ini || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/flake8/flake8-3.8.1.ebuild b/dev-python/flake8/flake8-3.8.1.ebuild
new file mode 100644
index 000000000000..806a6b8f6385
--- /dev/null
+++ b/dev-python/flake8/flake8-3.8.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="A wrapper around PyFlakes, pep8 & mccabe"
+HOMEPAGE="https://gitlab.com/pycqa/flake8 https://pypi.org/project/flake8/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+# requires.txt inc. mccabe however that creates a circular dep
+RDEPEND="
+ >=dev-python/pyflakes-2.2.0[${PYTHON_USEDEP}]
+ <dev-python/pyflakes-2.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pycodestyle-2.6.0[${PYTHON_USEDEP}]
+ <dev-python/pycodestyle-2.7.0[${PYTHON_USEDEP}]
+ dev-python/importlib_metadata[${PYTHON_USEDEP}]
+"
+PDEPEND="
+ >=dev-python/mccabe-0.6.0[${PYTHON_USEDEP}]
+ <dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+"
+BDEPEND="${RDEPEND}
+ test? (
+ ${PDEPEND}
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+# Sphinx and friends are not keyworded for all arches, repoman complains
+#distutils_enable_sphinx docs/source dev-python/sphinx-prompt dev-python/sphinx_rtd_theme
+
+python_prepare_all() {
+ # don't treat warnings as errors when running tests
+ sed -r -i '/^[[:space:]]*error[[:space:]]*$/ d' pytest.ini || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/flake8/metadata.xml b/dev-python/flake8/metadata.xml
new file mode 100644
index 000000000000..586f5a2fb684
--- /dev/null
+++ b/dev-python/flake8/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">flake8</remote-id>
+ <remote-id type="gitlab">pycqa/flake8</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>